Re: [sage-release] Sage 8.9 released

2019-10-01 Thread Samuel Lelièvre
## Debian On Debian GNU/Linux 10 (buster), upgraded from SageMath 8.9.rc0 via git and tested SageMath 8.9, both py2 and py3. In both cases: - `make`: ok - `make testlong`: all tests pass! ## Cygwin On Cygwin64, tested SageMath 8.9, both py2 and py3, with the following hardware and operating

Re: [sage-release] Sage 8.9 released

2019-10-01 Thread Dima Pasechnik
On Tue, Oct 1, 2019 at 7:43 PM John Cremona wrote: > > > > On Tue, 1 Oct 2019 at 12:08, Dima Pasechnik wrote: >> >> On Tue, Oct 1, 2019 at 6:59 PM Dima Pasechnik wrote: >> > >> > It seems that these machines don't have readline development files >> > properly installed. >> > >> > Could you

Re: [sage-release] Sage 8.9 released

2019-10-01 Thread Dima Pasechnik
It seems that these machines don't have readline development files properly installed. Could you attach config.log ? On Tue, Oct 1, 2019 at 6:38 PM John Cremona wrote: > > For a change instead of updating the git repository to build 8.9 I downloaded > the file 8.9.tar.gz from the Releases

Re: [sage-release] Sage 8.9 released

2019-10-01 Thread Dima Pasechnik
On Tue, Oct 1, 2019 at 6:59 PM Dima Pasechnik wrote: > > It seems that these machines don't have readline development files > properly installed. > > Could you attach config.log ? > I mean the "main" config.log, not the ones from package builds. > > On Tue, Oct 1, 2019 at 6:38 PM John Cremona

Re: [sage-release] Sage 8.9 released

2019-10-01 Thread John Cremona
On Tue, 1 Oct 2019 at 13:42, Dima Pasechnik wrote: > On Tue, Oct 1, 2019 at 7:43 PM John Cremona > wrote: > > > > > > > > On Tue, 1 Oct 2019 at 12:08, Dima Pasechnik wrote: > >> > >> On Tue, Oct 1, 2019 at 6:59 PM Dima Pasechnik > wrote: > >> > > >> > It seems that these machines don't have

Re: [sage-release] Sage 8.9 released

2019-10-01 Thread Dima Pasechnik
something did not work as you installed libncurses5-dev, as you still appear to miss /usr/include/ncurses.h (according to the new log: configure:10315: checking for ncurses.h configure:10315: result: no ) whereas https://packages.ubuntu.com/xenial/amd64/libncurses5-dev/filelist has this file

Re: [sage-release] Sage 8.9 released

2019-10-01 Thread Dima Pasechnik
Hi John, Do you have libncurses5-dev installed? I guess not, as in your config.log I see conftest.cpp:56:21: fatal error: ncurses.h: No such file or directory and this header is provided by this package. I'd say it's a bug in Ubunty xenial that libreadline-dev does not depend on this package!

Re: [sage-release] Sage 8.9 released

2019-10-01 Thread Samuel Lelièvre
Le mar. 1 oct. 2019 à 12:38, John Cremona: > > For a change instead of updating the git repository to build 8.9 I downloaded > the file 8.9.tar.gz from the Releases section on github. After unpacking and > "make configure" I then did "make". Shouldn't there be an extra step between `make

Re: [sage-release] Sage 8.9 released

2019-10-01 Thread Isuru Fernando
conda packages are available now. We are now patch free except for https://trac.sagemath.org/ticket/28533 on Debian based distributions. There are a couple of warnings in werkzeug that was not present when I tested 8.8. Other than that, few test failures from 8.8 remain the same. Isuru. On Tue,

Re: [sage-release] Sage 8.9 released

2019-10-01 Thread 'Justin C. Walker' via sage-release
> On Sep 29, 2019, at 16:19 , Volker Braun wrote: > > The "master" git branch has been updated to Sage-8.9. As always, you can get > the latest beta version from the "develop" git branch. Alternatively, the > self-contained source tarball is at >